<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:dubbo="http://code.alibabatech.com/schema/dubbo"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
    http://code.alibabatech.com/schema/dubbo http://code.alibabatech.com/schema/dubbo/dubbo.xsd">

	<dubbo:application name="spacetech-consumer-xxljob"
		owner="programmer" organization="dubbox" />
	
	<dubbo:registry address="zookeeper://10.10.10.190:2182"/>

	<dubbo:consumer retries="0" check="false" timeout="60000" />

	<dubbo:reference id="appStoreApiHub"
		interface="com.spacetech.gateway.AppStoreApiHub" check="false" />

	<dubbo:reference id="electiveApiHub"
		interface="com.spacetech.gateway.ElectiveApiHub" check="false" />

	<dubbo:reference id="portalApiHub"
		interface="com.spacetech.gateway.PortalApiHub" check="false">
		<dubbo:method name="callApiAsync" async="true" return="false"/>
	</dubbo:reference>

	<dubbo:reference id="messageApiHub"
		interface="com.spacetech.gateway.MessageApiHub" check="false" />

	<dubbo:reference id="microlectureApiHub"
		interface="com.spacetech.gateway.MicrolectureApiHub" check="false" />

	<dubbo:reference id="homeworkApiHub"
		interface="com.spacetech.gateway.HomeworkApiHub" check="false" />

	<dubbo:reference id="examScoreApiHub"
		interface="com.spacetech.gateway.ExamScoreApiHub" check="false" />

	<dubbo:reference id="oaApiHub" interface="com.spacetech.gateway.OaApiHub"
		check="false" />

	<dubbo:reference id="baseDataApiHub"
		interface="com.spacetech.gateway.BaseDataApiHub" check="false" >
		<dubbo:method name="callApiAsync" async="true" return="false"/>
	</dubbo:reference>

	<dubbo:reference id="userApiHub" interface="com.spacetech.gateway.UserApiHub"
		check="false" />

	<dubbo:reference id="wechatApiHub"
		interface="com.spacetech.gateway.WechatApiHub" check="false" />

	<dubbo:reference id="evaluationApiHub" interface="com.spacetech.gateway.EvaluationApiHub" check="false" >
		<dubbo:method name="callApiAsync" async="true" return="false"/>
	</dubbo:reference>	

	<dubbo:reference id="parentlicenseApiHub"
		interface="com.spacetech.gateway.ParentlicenseApiHub" check="false" >
		<dubbo:method name="callApiAsync" async="true" return="false"/>
	</dubbo:reference>

	<dubbo:reference id="logApiHub" interface="com.spacetech.gateway.LogApiHub"
		check="false" >
		<dubbo:method name="callApiAsync" async="true" return="false"/>
	</dubbo:reference>

	<dubbo:reference id="tokenApiHub" interface="com.spacetech.gateway.TokenApiHub"
		check="false" />
		
	<dubbo:reference id="faceApiHub" interface="com.spacetech.gateway.FaceApiHub"
		check="false" />
		
	<dubbo:reference id="growthApiHub" interface="com.spacetech.gateway.GrowthApiHub"
		check="false" timeout="90000" retries="2">
		<dubbo:method name="callApiAsync" async="true" return="false"/>
	</dubbo:reference>	
	
    <dubbo:reference id="surveyApiHub" interface="com.spacetech.gateway.SurveyApiHub" 
         check="false" >
    	<dubbo:method name="callApiAsync" async="true" return="false"/>
    </dubbo:reference> 	
        
    <dubbo:reference id="attendanceApiHub" interface="com.spacetech.gateway.AttendanceApiHub" check="false" >
		<dubbo:method name="callApiAsync" async="true" return="false"/>
	</dubbo:reference>	
        
    <dubbo:reference id="registrationApiHub" interface="com.spacetech.gateway.RegistrationApiHub"
        check="false" >
    	<dubbo:method name="callApiAsync" async="true" return="false"/>
    </dubbo:reference> 
    
    <dubbo:reference id="metaqApiHub" interface="com.spacetech.gateway.MetaqApiHub"
        check="false" >
    	<dubbo:method name="callApiAsync" async="true" return="false"/>
    </dubbo:reference>

    
    <dubbo:reference id="payApiHub" interface="com.spacetech.gateway.PayApiHub" 
         check="false" />	
    
  <dubbo:reference id="sqxyApiHub" interface="com.spacetech.gateway.SqxyApiHub"
		check="false" />
		
  <dubbo:reference id="qualityApiHub" interface="com.spacetech.gateway.QualityApiHub"
		check="false" />
		    
</beans>